$(function()
{
    $(document).on('change', '[name^=date], [name^=amebaAccount]', function()
    {
        var $category    = $(this).parents('tr').find('[name^=category]');
        var category     = $category.val();
        var date         = $(this).parents('tr').find('[name^=date]').val();
        var year         = date.substring(0, 4);
        var amebaAccount = $(this).parents('tr').find('[name^=amebaAccount]').val();
        var link         = createLink('deal', 'ajaxGetCategory', 'year=' + year + '&amebaAccount=' + amebaAccount);
        $category.load(link, function()
        {
            $(this).val(category).trigger('chosen:updated');
        });
    });

    $('[name^=fromDept]').change(function()
    {
        $('[name^=toDept] option').show();

        fromDept = $(this).val();

        $(this).parents('tr').find('[name^=toDept] option[value=' + fromDept + ']').hide();
        $(this).parents('tr').find('[name^=toDept]').val(0).trigger('chosen:updated');
    });

    $('[name^=fromDept]').change();
});
